/*
 * DataConsumerNotReadyException.java
 *
 * Created on 2. ervenec 2005, 23:37
 */

package cz.matfyz.sykora.nngui.exception;

/**
 * Vjimka vyvolvan pi pokusech o prci s neinicializovanm konzumentem dat.
 * Uplatn se napklad pi voln <i>setValue</i> u konzument, u kterch dosud
 * nebyla nastavena velikost zznamu pomoc <i>setRowSize</i>
 *  @author Ondej Skora [ondrasej@centrum.cz]
 */
public class DataConsumerNotReadyException extends DataException {
    
    public DataConsumerNotReadyException(String _what) {
        super(_what);
    }
    
    public DataConsumerNotReadyException(Throwable _cause) {
        super(_cause);
    }
    
    public DataConsumerNotReadyException(String _what, Throwable _cause) {
        super(_what, _cause);
    }
}
