/*
 * NoDataSourceException.java
 *
 * Created on 17. kvten 2005, 22:08
 */

package cz.matfyz.sykora.nngui.exception;

/**
 * Vjimka signalizujc chbjc, nebo patn inicializovan zdroj dat
 *  @author Ondej Skora [ondrasej@centrum.cz]
 */
public class NoDataDestinationException extends DataException {
    
    /**
     * Objekt, kter se pokouel st z neplatnho nebo nefunknho datovho
     * zdroje.
     */
    private Object source;
    
    public NoDataDestinationException(Object _source) {
        super("No data destination specified");
        source = _source;
    }
    
    public NoDataDestinationException(String _what) {
        super(_what);
    }
    
    public NoDataDestinationException(Throwable _cause) {
        super("No data destination specified", _cause);
    }
    
    public NoDataDestinationException(String _what, Throwable _cause) {
        super(_what, _cause);
    }            
}
