/*
 * TextStreamProviderTest.java
 * JUnit based test
 *
 * Created on 20. kvten 2005, 18:40
 */

package cz.matfyz.sykora.nngui.data;

import junit.framework.*;
import java.io.*;
import java.util.*;
import cz.matfyz.sykora.nngui.exception.*;

/**
 *
 * @author sykorao
 */
public class TextStreamProviderTest extends TestCase {
    
    public TextStreamProviderTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
    }

    protected void tearDown() throws Exception {
    }

    public static Test suite() {
        TestSuite suite = new TestSuite(TextStreamProviderTest.class);
        
        return suite;
    }

    /**
     * Test of fetchRow method, of class cz.matfyz.sykora.nngui.data.TextStreamProvider.
     */
    public void testFetchRow() {
        System.out.println("testFetchRow");
        
        try {
            FileReader in_reader = new FileReader("./test-stream-provider-data.txt");
            DataProvider provider = new TextStreamProvider(in_reader);
            
            double[] data = new double[provider.getRowSize()];
            
            while(provider.fetchRow()) {
                for(int i = 0; i < data.length; i++) {
                    System.out.print(provider.getValue(i));
                    if(i < data.length - 1)
                        System.out.print(" ");
                }
                System.out.println();
            }
            
            in_reader.close();
        }
        catch(Exception e) {
            e.printStackTrace();
            fail(e.getMessage());
        }
    }

    /**
     * Test of getRowSize method, of class cz.matfyz.sykora.nngui.data.TextStreamProvider.
     */
    public void testGetRowSize() {
        System.out.println("testGetRowSize");
        
        // TODO add your test code below by replacing the default call to fail.
        fail("The test case is empty.");
    }

    /**
     * Test of getValue method, of class cz.matfyz.sykora.nngui.data.TextStreamProvider.
     */
    public void testGetValue() {
        System.out.println("testGetValue");
        
        // TODO add your test code below by replacing the default call to fail.
        fail("The test case is empty.");
    }
    
}
