/*
 * UnsupportedNetworkModelException.java
 *
 * Created on 2. ervenec 2005, 17:00
 */

package cz.matfyz.sykora.nngui.exception;

/**
 * Vjimka vyvolvan pokud se nkdo sna vytvoit model st neznmho typu
 * (tj. model st je zadn pomoc svho nzvu). Toto obvykle nastane pokud se
 * uivatel pokus nast strukturu st ze patnho, nebo pokozenho souboru.
 *  @see UnsupportedNetworkTypeException
 *  @author Ondej Skora [ondrasej@centrum.cz]
 */
public class UnsupportedNetworkModelException extends Exception {
    
    public UnsupportedNetworkModelException(String _what) {
        super(_what);
    }
    
    public UnsupportedNetworkModelException(Throwable _cause) {
        super(_cause);
    }
    
    public UnsupportedNetworkModelException(String _what, Throwable _cause) {
        super(_what,_cause);
    }
    
}
