/*
 * UnsupportedNetworkTypeException.java
 *
 * Created on 2. ervenec 2005, 16:05
 */

package cz.matfyz.sykora.nngui.exception;

/**
 * Vjimka vyvolvan pokud se nkdo sna vytvoit s neznmho typu (tj. typ
 * je zadn pomoc svho nzvu). Toto obvykle nastane, pokud se uivatel pokus
 * nast strukturu st ze patnho, nebo pokozenho souboru.
 *  @see UnsupportedNetworkModelException
 *  @author Ondej Skora [ondrasej@centrum.cz]
 */
public class UnsupportedNetworkTypeException extends Exception {
    
    public UnsupportedNetworkTypeException(String _what) {
        super(_what);
    }
    
    public UnsupportedNetworkTypeException(Throwable _cause) {
        super(_cause);
    }
    
    public UnsupportedNetworkTypeException(String _what,Throwable _cause) {
        super(_what,_cause);
    }
}
